# Class error

- Defined in File hiprand.hpp

## Inheritance Relationships

### Base Type

- `public std::exception`

## Class Documentation

class error : public std::exception

  A run-time hipRAND error.

  The error class represents an error returned by a hipRAND function.

  Public Types

  typedef hiprandStatus_t error_type

    hipRAND error code type

  Public Functions

  inline error(error_type error) noexcept

    Constructs new error object from error code `error`.

    Parameters:

      error – - error code

  inline ~error() noexcept
  inline error_type error_code() const noexcept

    Returns the numeric error code.

  inline std::string error_string() const noexcept

    Returns a string description of the error.

  inline const char *what() const noexcept

    Returns a C-string description of the error.

  Public Static Functions

  static inline std::string to_string(error_type error)

    Static function which converts the numeric hipRAND error code `error` to a human-readable string.

    If the error code is unknown, a string containing “Unknown hipRAND error” along with the error code `error` will be returned.

  Friends

  inline friend bool operator==(const error &l, const error &r)

    Compares two error objects for equality.

  inline friend bool operator!=(const error &l, const error &r)

    Compares two error objects for inequality.